Create Resident Payment: ResMan
https://api.propexo.com/v1/resident-payments/resman/Create Resident Payment: ResMan. Important note: ResMan requires that the property management company approve partner (API) generated charges and payments. To do this, the PMC must go to the "Partner Transactions" tab in the ResMan portal and approve each transaction.
| Interface | Method |
|---|---|
| Accounts Receivable | /MITS/PostResidentTransactions2_0 |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
The Propexo unique identifier for the resident
The method of payment
Show 8 enum values
ACHCashCashiers CheckCheckCredit CardDebit CardeCheckMoney OrderAn identifier for the transaction batch. This should be unique to your system.
The transaction date of the resident payment
Description of the resident payment
Notes associated with the resident payment
The amount of the resident payment, in cents
The reference number for the resident payment
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the resident
The method of payment
Show 8 enum values
ACHCashCashiers CheckCheckCredit CardDebit CardeCheckMoney OrderAn identifier for the transaction batch. This should be unique to your system.
The transaction date of the resident payment
Description of the resident payment
Notes associated with the resident payment
The amount of the resident payment, in cents
The reference number for the resident payment
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/resident-payments/resman/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"resident_id": "string",
"payment_type": "ACH",
"batch_id": "string",
"transaction_date": "2024-07-29T15:51:28.071Z",
"description": "string",
"notes": "string",
"amount_in_cents": 0,
"reference_number": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"resident_id": "string",
"payment_type": "ACH",
"batch_id": "string",
"transaction_date": "2024-07-29T15:51:28.071Z",
"description": "string",
"notes": "string",
"amount_in_cents": 0,
"reference_number": "string"
}
}